/*
*
* CwBdVouchtempcomMapper.java
* Copyright(C) 2017-2020 DHCC
* @date 2019-04-05
*/
package com.dhcc.finance.main.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.dhcc.finance.main.domain.CwBdVouchtempcom;
import com.dhcc.finance.main.domain.CwBdVouchtempcomExample;


public interface CwBdVouchtempcomMapper {
    


	long countByExample(CwBdVouchtempcomExample example);


	int deleteByExample(CwBdVouchtempcomExample example);


	int deleteByPrimaryKey(String pkVouchtempcom);


	int insert(CwBdVouchtempcom record);


	int insertSelective(CwBdVouchtempcom record);


	List<CwBdVouchtempcom> selectByExample(CwBdVouchtempcomExample example);


	CwBdVouchtempcom selectByPrimaryKey(String pkVouchtempcom);


	int updateByExampleSelective(@Param("record") CwBdVouchtempcom record,
			@Param("example") CwBdVouchtempcomExample example);


	int updateByExample(@Param("record") CwBdVouchtempcom record, @Param("example") CwBdVouchtempcomExample example);


	int updateByPrimaryKeySelective(CwBdVouchtempcom record);


	int updateByPrimaryKey(CwBdVouchtempcom record);


	List<CwBdVouchtempcom> selectAll();


	/**
	 * 功能描述:批量插入
	 * @param cwBdVouchtempcom
	 * @return int
	 *@author baiyc
	 *@date 2019年4月9日 下午7:13:14
	 *@修改日志:
	 */

	int batchInsertCwBdVouchtempcom(@Param("cwBdVouchtempcom")List<CwBdVouchtempcom> cwBdVouchtempcom);
}